### R code from vignette source 'texreg.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: texreg.Rnw:94-95 (eval = FALSE)
###################################################
## install.packages("texreg")


###################################################
### code chunk number 2: texreg.Rnw:98-99 (eval = FALSE)
###################################################
## install.packages("texreg", repos="http://R-Forge.R-project.org")


###################################################
### code chunk number 3: texreg.Rnw:103-104
###################################################
library(texreg)


###################################################
### code chunk number 4: texreg.Rnw:107-108 (eval = FALSE)
###################################################
## update.packages("texreg", repos="http://R-Forge.R-project.org")


###################################################
### code chunk number 5: texreg.Rnw:115-116
###################################################
vignette("texreg")


###################################################
### code chunk number 6: texreg.Rnw:119-120
###################################################
help(package="texreg")


###################################################
### code chunk number 7: texreg.Rnw:123-124
###################################################
help(texreg)


###################################################
### code chunk number 8: texreg.Rnw:132-138
###################################################
ctl <- c(4.17,5.58,5.18,6.11,4.50,4.61,5.17,4.53,5.33,5.14)
trt <- c(4.81,4.17,4.41,3.59,5.87,3.83,6.03,4.89,4.32,4.69)
group <- gl(2,10,20, labels=c("Ctl","Trt"))
weight <- c(ctl, trt)
m1 <- lm(weight ~ group)
m2 <- lm(weight ~ group - 1) # omitting intercept


###################################################
### code chunk number 9: texreg.Rnw:141-142
###################################################
summary(m2)


###################################################
### code chunk number 10: texreg.Rnw:146-148
###################################################
library(texreg)
texreg(m2)


###################################################
### code chunk number 11: texreg.Rnw:150-151
###################################################
texreg(m2, use.packages=FALSE, label="tab:1")


###################################################
### code chunk number 12: texreg.Rnw:157-159
###################################################
tab <- texreg(m2, return.string=TRUE)
cat(tab)


###################################################
### code chunk number 13: texreg.Rnw:163-164 (eval = FALSE)
###################################################
## texreg(list(m1,m2))


###################################################
### code chunk number 14: texreg.Rnw:166-167
###################################################
texreg(list(m1,m2), use.packages=FALSE, label="tab:2")


###################################################
### code chunk number 15: texreg.Rnw:179-183
###################################################
texreg(list(m1, m2), use.packages=FALSE, label="tab:3", 
  caption="My regression table", scriptsize=TRUE, 
  custom.names=c("(Intercept)", "Treatment", "Control"), 
  model.names=c("First model", "Second model"), float.pos="b")


###################################################
### code chunk number 16: texreg.Rnw:199-201
###################################################
mat <- rbinom(400,1,0.16)  #create a matrix
mat <- matrix(mat, nrow=20)


###################################################
### code chunk number 17: texreg.Rnw:205-211
###################################################
library(network)
library(ergm)
nw <- network(mat)
m4 <- ergm(nw ~ edges)
m5 <- ergm(nw ~ edges + mutual)
m6 <- ergm(nw ~ edges + mutual + twopath)


###################################################
### code chunk number 18: texreg.Rnw:215-217
###################################################
texreg(list(m4, m5, m6), use.packages=FALSE, label="tab:4", scriptsize=FALSE, 
  strong.signif=TRUE)


###################################################
### code chunk number 19: texreg.Rnw:224-225
###################################################
texreg(list(m4, m5, m6), use.packages=FALSE, label="tab:5", single.row=TRUE)


###################################################
### code chunk number 20: texreg.Rnw:232-234
###################################################
library(nlme)
m3 <- lme(distance ~ age + Sex, data = Orthodont, random = ~ 1)


###################################################
### code chunk number 21: texreg.Rnw:236-237
###################################################
texreg(list(m3, m2, m6), label="tab:6", use.packages=FALSE)


###################################################
### code chunk number 22: texreg.Rnw:250-251
###################################################
htmlreg(list(m3, m2, m6))


###################################################
### code chunk number 23: texreg.Rnw:257-258
###################################################
htmlreg(list(m3, m2, m6), file="mytable.doc")


###################################################
### code chunk number 24: texreg.Rnw:266-267
###################################################
htmlreg(m3, doctype=FALSE, star.symbol="\\*", align.center=TRUE)


###################################################
### code chunk number 25: texreg.Rnw:271-272
###################################################
screenreg(list(m3, m2, m6))


